liborigin 2.0.0

Macros | Functions
/tmp/slackdce/slackrepo.5NA6jZ/build_liborigin/liborigin/OriginDefaultParser.cpp File Reference
`#include "OriginDefaultParser.h"`
`#include <stdio.h>`
`#include <iostream>`
`#include <stdlib.h>`
`#include <math.h>`

## Macros
#define | ERROR_MSG "Please send the OPJ file and the opjfile.log to the author of liborigin!\n"
#define | MAX_LEVEL 20
#define | SwapBytes(x) ByteSwap((unsigned char *) &x,sizeof(x))

## Functions
void | ByteSwap (unsigned char *b, int n)
OriginParser * | createOriginDefaultParser (const string &fileName)
bool | IsBigEndian ()

## Macro Definition Documentation

## ◆ ERROR_MSG

#define ERROR_MSG "Please send the OPJ file and the opjfile.log to the author of liborigin!\n"

## ◆ MAX_LEVEL

#define MAX_LEVEL 20

## ◆ SwapBytes

#define SwapBytes | ( |  | x | ) | ByteSwap((unsigned char *) &x,sizeof(x))

## Function Documentation

## ◆ ByteSwap()

void ByteSwap | ( | unsigned char * | b,
|  | int | n
| ) |  |

## ◆ createOriginDefaultParser()

OriginParser * createOriginDefaultParser | ( | const string & | fileName | ) |

Referenced by OriginFile::OriginFile().

## ◆ IsBigEndian()

bool IsBigEndian | ( |  | ) |

Referenced by OriginDefaultParser::parse().